Skip to content
Start here

Change status of instance

client.workflows.instances.status.edit(stringinstanceID, StatusEditParamsparams, RequestOptionsoptions?): StatusEditResponse { status, timestamp }
PATCH/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}/status

Changes the execution status of a workflow instance (e.g., pause, resume, terminate).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
instanceID: string
maxLength271
minLength1
StatusEditParams = Variant0 | Variant1 | Variant2 | Variant3
StatusEditParamsBase { account_id, workflow_name, status }
account_id: string

Path param

workflow_name: string

Path param

maxLength64
minLength1
status: "pause"

Body param

Variant0 extends StatusEditParamsBase { account_id, workflow_name, status }
Variant1 extends StatusEditParamsBase { account_id, workflow_name, status }
Variant2 extends StatusEditParamsBase { account_id, workflow_name, status }
Variant3 extends StatusEditParamsBase { account_id, workflow_name, status }
ReturnsExpand Collapse
StatusEditResponse { status, timestamp }
status: "queued" | "running" | "paused" | 6 more
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
"rollingBack"
timestamp: string

Accepts ISO 8601 with no timezone offsets and in UTC.

formatdate-time

Change status of instance

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.workflows.instances.status.edit('x', {
  account_id: 'account_id',
  workflow_name: 'x',
  status: 'pause',
});

console.log(response.status);
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}